> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trugen.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Tool

> Deletes a tool details by its unique ID.



## OpenAPI

````yaml DELETE /ext/tool/{id}
openapi: 3.0.3
info:
  title: TruGen Developer Platform API
  version: 1.0.0
  description: OpenAPI specification for MCP endpoint
servers:
  - url: https://api.trugen.ai/v1
security: []
paths:
  /ext/tool/{id}:
    delete:
      summary: Delete Tool details
      description: Deletes a tool details by its unique ID.
      operationId: deleteToolById
      parameters:
        - name: id
          in: path
          required: true
          description: The UUID of the tool to delete
          schema:
            type: string
            format: uuid
            example: 611eaabb-0884-440f-a4f1-a04b9ad8a597
      responses:
        '200':
          description: Tool details deleted successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    example: 611eaabb-0884-440f-a4f1-a04b9ad8a597
                  message:
                    type: string
                    example: Tool details deleted successfully
                required:
                  - id
                  - message
        '401':
          description: Unauthorized – invalid or missing API key
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: 'Unauthorized: not a valid authorization api key'
        '404':
          description: Tool not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                message: Tool not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
              example:
                error: Failed to retrieve tool details
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````